<template>
  <router-link
      :to="to"
      class="button is-primary"
      :class="{ 'is-outlined': outlined }"
  >
    <span class="icon">
      <i class="material-icons">edit</i>
    </span>
    <span>Edit</span>
  </router-link>
</template>

<script lang="ts">
  import { Vue, Component, Prop } from 'vue-property-decorator';
  import { RawLocation } from 'vue-router';

  @Component<EditButton>({})
  export default class EditButton extends Vue {
    @Prop({
      type: [Object, String],
      required: true,
    }) to!: RawLocation;

    @Prop({
      type: Boolean,
      default: false,
    }) outlined!: boolean;
  }
</script>
